package MT::Plugin::tagSupport;

use strict;
use base qw( MT::Plugin );

my $plugin = new MT::Plugin ({
	name => 'tagSupport',
	version => '1.00',
	doc_link => 'http://blog.webcreativepark.net/2008/05/01-184829.html',
	author_name => 'Kazuma Nishihata',
	author_link => 'http://www.to-r.net',
	description => 'MT4.1のタグ入力をクリックでできるようにする'
});
MT->add_plugin ($plugin);

MT->add_callback('MT::App::CMS::template_source.edit_entry', 9, $plugin, \&_app_template_source_tag_support);
    
sub _app_template_source_tag_support {
	my ($eh, $app, $tmpl_ref) = @_;
	my $old = <<HTML;
        <!-- FIXME - move this styling to the ie hacks css file -->
HTML
	$old = quotemeta($old);

use MT;
use MT::Tag;

my @tags = MT::Tag->load;
my $tag_list;
my @tags_value;
for my $tag (@tags) {
	if($tag->n8d_id){
		$tags_value[$tag->n8d_id] = $tag->name;
	}else{
		$tags_value[$tag->id] = $tag->name;
	}
}
for my $tag (@tags_value) {
	if($tag){
		$tag_list.=" [<a href='#' onclick='tag_insert(this); return false;'>".$tag."</a>] ";
	}
}

	my $new = <<HTML;
<div class="field-header">
<label id="tags-label" for="tags">タグ一覧</label>
</div>
<script type="text/javascript">
function tag_insert(e){
	if(!document.getElementById("tags").value){
		document.getElementById("tags").value=e.textContent||e.innerText;
	}else{
		document.getElementById("tags").value = document.getElementById("tags").value+","+(e.textContent||e.innerText);
	}
}
</script>
$tag_list
        <!-- FIXME - move this styling to the ie hacks css file -->
HTML
	
	$$tmpl_ref =~ s/$old/$new/;
	
}

1;